import type { _NSError } from "../Foundation/NSError.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _CKRecordZone } from "./CKRecordZone.js";
export declare class _CKSyncEngineFailedZoneSave extends _NSObject {
    static alloc(): _CKSyncEngineFailedZoneSave;
    static new(): _CKSyncEngineFailedZoneSave;
    init(): _CKSyncEngineFailedZoneSave;
    recordZone(): _CKRecordZone;
    error(): _NSError;
}
